<template>
  <v-layout class="rounded rounded-md h-screen">
    <v-navigation-drawer v-model="drawer">
      <div class="d-flex align-center justify-center pt-4">
        <v-img class="px-6" src="@/assets/images/logo.png" alt="KM/H" />
      </div>

      <v-list>
        <v-list-subheader> Dashboard </v-list-subheader>

        <v-list-item
          v-for="(item, index) in navigation"
          :key="index"
          :value="item"
          :to="item.link"
          color="primary"
        >
          <template v-slot:prepend>
            <v-icon :icon="item.icon" class="mr-n4"></v-icon>
          </template>

          <v-list-item-title v-text="item.title"></v-list-item-title>
        </v-list-item>
      </v-list>
    </v-navigation-drawer>

    <v-app-bar prominent>
      <v-app-bar-nav-icon variant="text" @click.stop="drawer = !drawer"></v-app-bar-nav-icon>

      <v-toolbar-title>KM/H Testaufgabe</v-toolbar-title>
    </v-app-bar>

    <v-main class="d-flex w-100">
      <router-view />
    </v-main>
  </v-layout>
</template>

<script lang="ts" setup>
import { ref } from "vue";

const drawer = ref<boolean>(true);

const navigation = [
  {
    title: "Dashboard",
    link: "/",
    icon: "mdi-monitor-dashboard",
  },
  {
    title: "Benutzer",
    link: "/users",
    icon: "mdi-account-group",
  },
  {
    title: "Rollen",
    link: "/roles",
    icon: "mdi-badge-account",
  },
  {
    title: "Rollen Rechte",
    link: "/role-rights",
    icon: "mdi-badge-account-horizontal",
  },
];
</script>
